Skip to main content
PATCH
/
v1
/
monitors
/
{monitor_id}
Aktualizacja monitora
curl --request PATCH \
  --url https://api.krdata.pl/v1/monitors/{monitor_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "identifier_type": "<string>",
  "identifier_value": "<string>",
  "email_enabled": true
}
'
{
  "id": "<string>",
  "identifier_type": "<string>",
  "identifier_value": "<string>",
  "email_enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "last_event_at": "2023-11-07T05:31:56Z",
  "event_count": 0
}

Documentation Index

Fetch the complete documentation index at: https://docs.krdata.pl/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

monitor_id
string
required

Body

application/json
identifier_type
string | null
identifier_value
string | null
email_enabled
boolean | null

Response

Successful Response

id
string
required
identifier_type
string
required
identifier_value
string
required
email_enabled
boolean
required
created_at
string<date-time>
required
last_event_at
string<date-time> | null
event_count
integer
default:0